
#Figure 1
library(ggplot2)
library(grid)

a=journalR
year=2008:2022
Mean=function(x){return(mean(x,na.rm=T))}
yearp=tapply(a$ratio,a$year,Mean)

#Figure 1
p=qplot(year,yearp*100 , geom = c("point", "smooth"), method = lm,se=T)+ scale_y_continuous(name = "Percent of articles that reported use of R",breaks =seq(0,80,5))
#p=p + scale_x_continuous(name = "Year",breaks = 2008:2022)+labs(title = paste("30 journals",sum(a$allpaper),"articles",seq=" "))
#p=p + scale_x_continuous(name = "Year",breaks = 2008:2022)+labs(title = paste("(a)"))
p=p + scale_x_continuous(name = "Year",breaks = 2008:2022)+labs(title = paste(""))

p



#Figure 2
#jpeg(filename="Alljournalsdif.jpg", width = 800, height = 480)
p=qplot(year,ratio*100 , data =journalR,colour=Journal,se=F, geom = c("point", "smooth"), method = lm)
#,breaks = c( 20,30, 40,50,60,70)
p=p + scale_x_continuous(name = "Year",breaks = 2008:2022)+ scale_y_continuous(name = "Percent of articles that reported use of R")
p=p + theme(axis.ticks = element_line(size = 1.1),
          axis.title = element_text(size = 15)) +labs(title = NULL)
p



#Figure 3
p=ggplot(data=k, aes(x=reorder(package,Freq), y=Freq)) 
p=p+ geom_col(width = .5, col='black')  
p=p +labs(title =paste("R Packages use frequency in 8 main Biodiversity Conservation journals"))
p=p + scale_y_continuous(name ="Number of articles")
p=p +scale_x_discrete(name = "R Packages with>=100 Articles") 
p=p +geom_text(aes(label = Freq), size = 3, hjust =-.5, vjust = 0.3) 
p=p + coord_flip()
p



#Figure 4
jpeg(filename="package.jpg", width = 800*5, height = 480*5)
grid.newpage() 
pushViewport(viewport(layout = grid.layout(2,4)))
vp1 <- viewport(layout.pos.row = 1, layout.pos.col = 1)
vp2 <- viewport(layout.pos.row = 1, layout.pos.col = 2)
vp3 <- viewport(layout.pos.row = 1, layout.pos.col = 3)
vp4 <- viewport(layout.pos.row = 1, layout.pos.col = 4)
vp5 <- viewport(layout.pos.row = 2, layout.pos.col = 1)
vp6 <- viewport(layout.pos.row = 2, layout.pos.col = 2)
vp7 <- viewport(layout.pos.row = 2, layout.pos.col = 3)
vp8 <- viewport(layout.pos.row = 2, layout.pos.col = 4)

data1=allpackagelist[[1]]
p=ggplot(data=data1, aes(x=reorder(package,Freq), y=Freq)) 
p=p+ geom_col(width = .3, col='black') 
p=p + scale_y_continuous(name ="")
p=p +scale_x_discrete(name = "") 
p=p +geom_text(aes(label = Freq), size = 10, hjust =-.5, vjust = 0.3) 
p=p + coord_flip()
p=p + theme(axis.text.y = element_text(size = 30),
            axis.text.x = element_text(size = 30))
p=p + expand_limits(y = 75)
p=p + scale_y_continuous(name =names(allpackagelist)[1])
p=p + theme(axis.title = element_text(size = 40))
print(p, vp = vp1)

data1=allpackagelist[[2]]
p=ggplot(data=data1, aes(x=reorder(package,Freq), y=Freq)) 
p=p+ geom_col(width = .3, col='black') 
p=p + scale_y_continuous(name ="")
p=p +scale_x_discrete(name = "") 
p=p +geom_text(aes(label = Freq), size = 10, hjust =-.5, vjust = 0.3) 
p=p + coord_flip()
p=p + theme(axis.text.y = element_text(size = 30),
            axis.text.x = element_text(size = 30))
p=p + expand_limits(y = 35)
p=p + scale_y_continuous(name =names(allpackagelist)[2])
p=p + theme(axis.title = element_text(size = 40))
print(p, vp = vp2)

data1=allpackagelist[[3]]
p=ggplot(data=data1, aes(x=reorder(package,Freq), y=Freq)) 
p=p+ geom_col(width = .3, col='black') 
p=p + scale_y_continuous(name ="")
p=p +scale_x_discrete(name = "") 
p=p +geom_text(aes(label = Freq), size = 10, hjust =-.5, vjust = 0.3) 
p=p + coord_flip()
p=p + theme(axis.text.y = element_text(size = 30),
            axis.text.x = element_text(size = 30))
p=p + expand_limits(y = 250)
p=p + scale_y_continuous(name =names(allpackagelist)[3])
p=p + theme(axis.title = element_text(size = 40))
print(p, vp = vp3)

data1=allpackagelist[[4]]
p=ggplot(data=data1, aes(x=reorder(package,Freq), y=Freq)) 
p=p+ geom_col(width = .3, col='black') 
p=p + scale_y_continuous(name ="")
p=p +scale_x_discrete(name = "") 
p=p +geom_text(aes(label = Freq), size = 10, hjust =-.5, vjust = 0.3) 
p=p + coord_flip()
p=p + theme(axis.text.y = element_text(size = 30),
            axis.text.x = element_text(size = 30))
p=p + expand_limits(y = 60)
p=p + scale_y_continuous(name =names(allpackagelist)[4])
p=p + theme(axis.title = element_text(size = 40))
print(p, vp = vp4)

data1=allpackagelist[[5]]
p=ggplot(data=data1, aes(x=reorder(package,Freq), y=Freq)) 
p=p+ geom_col(width = .3, col='black') 
p=p + scale_y_continuous(name ="")
p=p +scale_x_discrete(name = "") 
p=p +geom_text(aes(label = Freq), size = 10, hjust =-.5, vjust = 0.3) 
p=p + coord_flip()
p=p + theme(axis.text.y = element_text(size = 30),
            axis.text.x = element_text(size = 30))
p=p + expand_limits(y = 455)
p=p + scale_y_continuous(name =names(allpackagelist)[5])
p=p + theme(axis.title = element_text(size = 40))
print(p, vp = vp5)

data1=allpackagelist[[6]]
p=ggplot(data=data1, aes(x=reorder(package,Freq), y=Freq)) 
p=p+ geom_col(width = .3, col='black') 
p=p + scale_y_continuous(name ="")
p=p +scale_x_discrete(name = "") 
p=p +geom_text(aes(label = Freq), size = 10, hjust =-.5, vjust = 0.3) 
p=p + coord_flip()
p=p + theme(axis.text.y = element_text(size = 30),
            axis.text.x = element_text(size = 30))
p=p + expand_limits(y = 53)
p=p + scale_y_continuous(name =names(allpackagelist)[6])
p=p + theme(axis.title = element_text(size = 40))
print(p, vp = vp6)

data1=allpackagelist[[7]]
p=ggplot(data=data1, aes(x=reorder(package,Freq), y=Freq)) 
p=p+ geom_col(width = .3, col='black') 
p=p + scale_y_continuous(name ="")
p=p +scale_x_discrete(name = "") 
p=p +geom_text(aes(label = Freq), size = 10, hjust =-.5, vjust = 0.3) 
p=p + coord_flip()
p=p + theme(axis.text.y = element_text(size = 30),
            axis.text.x = element_text(size = 30))
p=p + expand_limits(y = 290)
p=p + scale_y_continuous(name =names(allpackagelist)[7])
p=p + theme(axis.title = element_text(size = 40))
print(p, vp = vp7)

data1=allpackagelist[[8]]
p=ggplot(data=data1, aes(x=reorder(package,Freq), y=Freq)) 
p=p+ geom_col(width = .3, col='black') 
p=p + scale_y_continuous(name ="")
p=p +scale_x_discrete(name = "") 
p=p +geom_text(aes(label = Freq), size = 10, hjust =-.5, vjust = 0.3) 
p=p + coord_flip()
p=p + theme(axis.text.y = element_text(size = 30),
            axis.text.x = element_text(size = 30))
p=p + expand_limits(y = 78)
p=p + scale_y_continuous(name =names(allpackagelist)[8])
p=p + theme(axis.title = element_text(size = 40))
print(p, vp = vp8)

dev.off()

